Subject: bug#18342: 24.3.93; jumping to compilation error location gives the wrong column

From: Eli Zaretskii <[email-masked]>
Date: Fri, 06 Mar 2015 10:34:10 +0200

> From: Filipp Gunbin <[email-masked]>
> Date: Fri, 06 Mar 2015 02:41:30 +0300
> 
> The column numbers emitted by the compiler most probably mean "screen
> columns" - just where you made an error in the source file.  I don't
> know of compilers which do differently (I usually work only with
> Oracle's Java compiler so I'm not the best person to state that).
> 
> If emacs and the compiler agree on source file encoding (and they should
> be tuned to agree), then emacs just needs to go that count of chars
> forward from the beginning of line.

Character counts don't depend on encoding.  Only byte counts depend on
encoding.

So I'm not sure what you are trying to say here.